/*
    SPDX-FileCopyrightText: 2024 Dmitrii Fomchenkov <fomchenkovda@basealt.ru>
    SPDX-License-Identifier: GPL-2.0-or-later
*/
#include "welcomeplugin.h"
#include "welcomedistro.h"

#include <QQmlEngine>

static QObject* welcome_singletontype_provider(QQmlEngine*, QJSEngine*)
{        
    return new WelcomeDistro();
}

void WelcomePlugin::registerTypes(const char* uri)
{
    Q_ASSERT(QLatin1String(uri) == QLatin1String("org.kde.plasma.private.welcomedistro"));

    qmlRegisterSingletonType<WelcomeDistro>(uri, 1, 0, "WelcomeDistro", welcome_singletontype_provider);
}
